### Method

# Secret Service ensure_session_finish

#### Declaration [src]

    gboolean
    secret_service_ensure_session_finish (
      SecretService* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to ensure that the `SecretService` proxy has established a session with the Secret Service.

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether a session is established or not.